Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2170818 - segfault / double free - 2.7.13 regression
Summary: segfault / double free - 2.7.13 regression
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recode
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Pohořelský
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-02-17 09:51 UTC by Remi Collet
Modified: 2023-03-11 03:06 UTC (History)
4 users (show)

Fixed In Version: recode-3.7.14-1.fc39 recode-3.7.14-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-11 03:06:29 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
patch for spec file (deleted)
2023-02-17 10:03 UTC, Remi Collet
no flags Details | Diff
better fix for spec file (deleted)
2023-02-17 13:23 UTC, Remi Collet
no flags Details
better fix for spec file (deleted)
2023-02-17 13:24 UTC, Remi Collet
no flags Details | Diff

Description Remi Collet 2023-02-17 09:51:06 UTC
Detailed explanation in 
https://github.com/rrthomas/recode/issues/48

Can you please consider an update with this commit reverted?

Comment 1 Remi Collet 2023-02-17 10:03:04 UTC
Created attachment 1944718 [details]
patch for spec file

Trivial fix.
Using this allows to run recode PHP extension test suite without segfault.

Comment 2 Remi Collet 2023-02-17 13:23:01 UTC
Created attachment 1944768 [details]
better fix for spec file

Apply upstream patch to avoid double-free

notice: git format-patch

Comment 3 Remi Collet 2023-02-17 13:24:32 UTC
Created attachment 1944769 [details]
better fix for spec file

Apply upstream patch for this issue

notice: git format-patch

Comment 4 Ondřej Pohořelský 2023-02-22 11:32:00 UTC
Thanks a lot for pointing this out.
I've made an PR[0] with your patch to rawhide. I'll merge it if CI is happy.
Do you also want to get this patch into F38?

[0]https://src.fedoraproject.org/rpms/recode/pull-request/8#

Comment 5 Fedora Update System 2023-02-22 17:09:40 UTC
FEDORA-2023-350a41dc0a has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-350a41dc0a

Comment 6 Fedora Update System 2023-02-22 17:22:50 UTC
FEDORA-2023-350a41dc0a has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Remi Collet 2023-02-23 07:20:59 UTC
> Do you also want to get this patch into F38?

Yes, please pull this in F38

Comment 8 Fedora Update System 2023-02-23 10:20:41 UTC
FEDORA-2023-f184fc71aa has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-f184fc71aa

Comment 9 Fedora Update System 2023-02-24 04:33:26 UTC
FEDORA-2023-f184fc71aa has been pushed to the Fedora 38 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-f184fc71aa

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-03-11 03:06:29 UTC
FEDORA-2023-f184fc71aa has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.